%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api_version	4
%define lib_major	0
%define gir_major	4

%define libname		%mklibname %{name} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{name} %{api_version}
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Source code viewing library
Name:		gtksourceview
Version:    4.8.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gtksourceview-3.19.3-mga-rpmspec.patch
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	lib64gladeui2-devel
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gettext

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:	Libraries and include files for GtkSourceView
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}

%description -n %{libnamedev}
GtkSourceView development files.

%package        tests
Summary:        Tests for the %{name} package
Group:		    Development/Tools
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%setup -q
%apply_patches

%build
%meson -Dgtk_doc=false -Dglade_catalog=true -Dinstall_tests=true
%meson_build

%install
%meson_install

%find_lang %{name}-%{api_version}

%files -f %{name}-%{api_version}.lang
%{_datadir}/gtksourceview-%{api_version}/

%files -n %{libname}
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}*
%{_libdir}/girepository-1.0/GtkSource-%{gir_major}.typelib

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GtkSource-%{gir_major}.gir
%dir %{_datadir}/glade/catalogs
%{_datadir}/glade/catalogs/gtksourceview.xml
%{_datadir}/vala/vapi/gtksourceview-%{api_version}.deps
%{_datadir}/vala/vapi/gtksourceview-%{api_version}.vapi

%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/gtksourceview-4/
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/gtksourceview-4/


%changelog
* Wed Mar 03 2021 tex - 4.8.1-1pclos2021
- new version

* Sun Sep 13 2020 tex - 4.8.0-1pclos2020
- new version

* Sat Mar 07 2020 tex - 4.6.0-1pclos2020
- new version

* Tue Sep 10 2019 tex - 4.4.0-1pclos2019
- new version 4.4.0
